/***************************************************************************
                          armas.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ARMAS_H
#define ARMAS_H

#include "objetos.h"
#include "niveles.h"
/**Clase base para las armas de todo tipo
  *@author Ricardo Markiewicz
  */

class Armas:public Objetos {
public: 
	/* direccion del disparo */
	enum {GO_LEFT, GO_RIGHT, GO_UP, GO_DOWN, GO_LEFTUP, GO_RIGHTUP, GO_LEFTDOWN, GO_RIGHTDOWN};
	Armas(Niveles *niv, Controlador *c, bool es_malo=false, int i=-1, int dir=GO_UP);
	virtual ~Armas();
	virtual void Mover();
protected:
	Punto2D vel, acel;
	int direccion;
	bool malo;
};

#endif
