/***************************************************************************
                          checkbox.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _CHECKBOX_H_
#define _CHECKBOX_H_

#include "graficos_lib.h"
#include "formobj.h"

class CheckBox:public FormObj {
public:
	CheckBox(Form *p, int x, int y, int fuente, char *txt, bool mar=false);
	virtual ~CheckBox();
		
	virtual void Dibujar(bool focus);
	virtual void setFocus();

	/* funciones de eventos */
	virtual void eventKeyDown(SDL_KeyboardEvent *);
	virtual void eventKeyUp(SDL_KeyboardEvent *);
	virtual void eventMouseDown(SDL_MouseButtonEvent *);
	virtual void eventMouseUp(SDL_MouseButtonEvent *);
	virtual void eventMouseMove(SDL_MouseMotionEvent *);
	
	bool Value() { return marcado; }
	void Value(bool o) { marcado = o; }
protected:
	int fuente;
	bool marcado;
	char *texto;
};

#endif