/***************************************************************************
                          energybar.h  -  description
                             -------------------
    begin                : Sun Feb 25 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ENERGYBAR_H
#define ENERGYBAR_H

#include <SDL.h>
#include "matematica.h"
#include "graficos_lib.h"

/**Barra de energia para dibujar debajo de cada
objeto asi se puede saber que tan hecho mierda
esta...
  *@author Ricardo Markiewicz
  */

class EnergyBar {
public: 
	enum {BAR_HORIZONTAL, BAR_VERTICAL} t_Oriencation;
	EnergyBar(int max, int o, Uint32 color, Uint8 _alpha);
	~EnergyBar();
	void setValor(int nuevo);
	int getValor() { return actual; }

	void Dibujar(SDL_Rect r);
	inline void printText(bool o) { print_text = o; }
	void setTexture(char *);
	void drawBox(bool o) { draw_box = o; }
private:
	bool draw_box;
	int maximo;
	int actual;
	int orientacion;
	int img; /* para barras texturadas */
	Uint8 alpha;
	Uint32 blanco;
	Uint32 rojo;
	bool print_text;
};

#endif
