/***************************************************************************
                          faser.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FASER_H
#define FASER_H

#include <SDL.h>
#include "armas.h"
#include "graficos_lib.h"
#include "constantes.h"

/**Faser : es como una ametralladora que tira
balas de energia :-)
  *@author Ricardo Markiewicz
  */

class Faser:public Armas  {
public: 
	Faser(Punto2D pos_ini, Niveles *niv, Controlador *c, bool es_malo=false, int i=-1, int dir=GO_UP);
	Faser(Punto2D pos_ini, Punto2D fin, Niveles *niv, Controlador *c, bool es_malo=false, int i=-1, int dir=GO_UP);
	virtual ~Faser();
	void Dibujar();
private:
	Uint32 colores[3];
	int imagen;
};

#endif
