/***************************************************************************
                          ioncannon.h  -  description
                             -------------------
    begin                : Fri Mar 9 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef IONCANNON_H
#define IONCANNON_H

#include <SDL.h>
#include "armas.h"
#include "constantes.h"
#include "matematica.h"
#include "graficos_lib.h"

/**Otro lindo disparo ...
  *@author Ricardo Markiewicz
  */

class IonCannon : public Armas  {
public: 
	IonCannon(Punto2D _pos, Niveles *niv, Controlador *c, bool es_malo=false, int i=-1, int dir=GO_UP);
	~IonCannon();
	virtual void Dibujar();
private:
	int img_cod;
};

#endif
