/***************************************************************************
                          label.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _LABEL_H_
#define _LABEL_H_

#include "graficos_lib.h"
#include "formobj.h"

class Label:public FormObj {
public:
	Label(Form *, int x, int y, int font, char *);
	virtual ~Label();

	virtual void Dibujar(bool focus);
	char *Value() { return texto; }
	virtual void setFocus();
	virtual int width();
	virtual int height();
protected:
	SDL_Rect r;
	int fuente, pos;
	char *texto;
};

#endif