/***************************************************************************
                          list.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _LIST_H_
#define _LIST_H_

#include "formobj.h"
#include "lista.h"
#include "graficos_lib.h"
#include "button.h"

class List:public FormObj {
public:
	/* h = numero de elementos a mostrar ... */
	enum {PREV=99, NEXT};

	List(Form *p, int x, int y, int w, int h, int f);
	~List();

	virtual void Dibujar(bool focus);
	virtual void setFocus();

	virtual void Visible(bool o);

	/* funciones de eventos */
	virtual void eventKeyDown(SDL_KeyboardEvent *);
	virtual void eventKeyUp(SDL_KeyboardEvent *);
	virtual void eventMouseDown(SDL_MouseButtonEvent *);
	virtual void eventMouseUp(SDL_MouseButtonEvent *);
	virtual void eventMouseMove(SDL_MouseMotionEvent *);
	virtual void receiveMessage(FormObj *, int);

	void Next();
	void Prev();
	void Current(int i);
	void Offset(int i);

	void addItem(char *s, int i=-1);
	void delItem(int);
	void Clean();
	int SelectedId() { return selected; }
	char *Value();
protected:
	SDL_Rect draw;
	Button *btnUp, *btnDown;
	Lista<char *> items;
	int fuente;
	int lineas, selected, offset;
};

#endif
	
