/***************************************************************************
                          option.h  -  description                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _OPTION_H_
#define _OPTION_H_

#include "graficos_lib.h"
#include "formobj.h"
#include "lista.h"

class Option:public FormObj {
public:
	Option(Form *, int x, int y, int f);
	virtual ~Option();
		
	virtual void Dibujar(bool focus);
	virtual void setFocus();

	/* funciones de eventos */
	virtual void eventKeyDown(SDL_KeyboardEvent *);
	virtual void eventKeyUp(SDL_KeyboardEvent *);
	virtual void eventMouseDown(SDL_MouseButtonEvent *);
	virtual void eventMouseUp(SDL_MouseButtonEvent *);
	virtual void eventMouseMove(SDL_MouseMotionEvent *);
		
	void addOption(char *);
	int Value() { return activo; }
	void Value(int i);
protected:
	Lista<char *> opciones;
	int fuente;
	int activo;
};

#endif