/***************************************************************************
                          pilotos.cpp  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pilotos.h"

Pilotos::Pilotos(int vx, int vy, int sf, int si, int piloto, char *name)
{
	_face = GetPilotIndex(piloto);
	_moveX = vx;
	_moveY = vy;
	_shot_faser_vel = sf;
	_shot_ion_vel = si;
	_score = 0;
	_level = 1;
	_pilot = piloto;
	strncpy(_name, name, 15);
}

Pilotos::Pilotos(FILE *fp)
{
	fread(&_moveX, sizeof(int), 1, fp);
	fread(&_moveY, sizeof(int), 1, fp);
	fread(&_shot_faser_vel, sizeof(int), 1, fp);
	fread(&_shot_ion_vel, sizeof(int), 1, fp);
	fread(&_pilot, sizeof(int), 1, fp);
	fread(&_level, sizeof(int), 1, fp);
	fread(&_score, sizeof(long), 1, fp);
	fread(&_name, sizeof(char), 15, fp);
	
	_face = GetPilotIndex(_pilot); /* Imagen del piloto */
}

Pilotos::~Pilotos()
{
	/* Necesitaria un Gra_UnloadImage(int) .. crearla :-) */
}

void Pilotos::Save(FILE *fp)
{
	fwrite(&_moveX, sizeof(int), 1, fp);
	fwrite(&_moveY, sizeof(int), 1, fp);
	fwrite(&_shot_faser_vel, sizeof(int), 1, fp);
	fwrite(&_shot_ion_vel, sizeof(int), 1, fp);
	fwrite(&_pilot, sizeof(int), 1, fp);
	fwrite(&_level, sizeof(int), 1, fp);
	fwrite(&_score, sizeof(long), 1, fp);
	fwrite(&_name, sizeof(char), 15, fp);
}
