/***************************************************************************
                          rocket.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ROCKET_H_
#define _ROCKET_H_

#include "graficos_lib.h"
#include "constantes.h"
#include "matematica.h"
#include "objetos.h"

class Rocket: public Objetos {
public:
	Rocket(Punto2D inicio, Niveles *niv, Controlador *control, int i);
	~Rocket();
		
	virtual void Mover();
	virtual void Dibujar();
	virtual void Daniar(int dam);
private:
	int imagen;
	int count;
};

#endif