/***************************************************************************
                          storreta.h  -  description
                             -------------------
    begin                : Sun Feb 25 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STORRETA_H
#define STORRETA_H

#include "objetos.h"
#include "controlador.h"
#include "niveles.h"
#include "graficos_lib.h"
#include "ioncannon.h"

/**Super Torretas equipadas con muchos Ions :-), puede
tener distintos graficos si quiero...
  *@author Ricardo Markiewicz
  */

class STorreta:public Objetos  {
public: 
	STorreta(Punto2D pos_ini, Niveles *niv, Controlador *control);
	virtual ~STorreta();
	void Mover();
	void Dibujar();
	virtual void Daniar(int dam);
private:
	int calentamiento;
	int img_cod;
	int snd_disparo;
};

#endif
