/***************************************************************************
                          textfield.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _TEXTFIELD_H_
#define _TEXTFIELD_H_

#include <ctype.h>
#include "graficos_lib.h"
#include "formobj.h"

class TextField:public FormObj {
public:
	TextField(Form *, int x, int y, int w, int h, int max, int font);
	virtual ~TextField();

	virtual void Dibujar(bool focus);
	char *Value() { return texto; }
	void setFocus();
	void setCursorPos(int);
	virtual int width() { return r.w; }
	virtual int height(){ return r.h; }

	virtual void eventKeyDown(SDL_KeyboardEvent *);
	virtual void eventKeyUp(SDL_KeyboardEvent *);
	virtual void eventMouseDown(SDL_MouseButtonEvent *);
	virtual void eventMouseUp(SDL_MouseButtonEvent *);
	virtual void eventMouseMove(SDL_MouseMotionEvent *);
private:
	int cant, pos;
	int fuente, total;
	int offset;
	char *texto;
	bool shift, insert;
};

#endif