/***************************************************************************
                          ioncannon.cpp  -  description
                             -------------------
    begin                : Fri Mar 9 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "ioncannon.h"
#include "niveles.h"

IonCannon::IonCannon(Punto2D _pos, Niveles *niv, Controlador *c, bool es_malo, int i, int dir):Armas(niv,c,es_malo,i,dir)
{
	pos = _pos;

	img_cod = Gra_LoadImage("Comunes/ion.bmp");
	Gra_SetColorKey(img_cod, 0xFF, 0x00, 0x00);
	damage = DANIO_ION;
	radio_choque = 9;
	life = 1;
}

IonCannon::~IonCannon()
{
}

void IonCannon::Dibujar()
{
	Gra_BlitImagen(img_cod, NULL, current->ScreenPos(pos));
}
