/***************************************************************************
                          lista.h  -  description
                             -------------------
    begin                : Sun Jul 30 2000
    copyright            : (C) 2000 by Ricardo Markiewicz
    email                : gazer@linuxzone.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LISTA_H
#define LISTA_H

#include "glist.h"

/**
  *@author Ricardo Markiewicz
  */

template<class type> class Lista:protected GList {
public: 
	Lista() {}
	~Lista() {}
	bool Insert(type *item) { return GList::Insert(0, (LstNodo::Item)item); }
	bool Append(type *item) { return GList::Append((LstNodo::Item)item); }
	bool InsertAt(int pos, type *item) { return GList::Insert(pos, (LstNodo::Item)item); }
	type *Next() { return (type *)GList::Next(); }
	type *Prev() { return (type *)GList::Prev(); }
	type *First() { return (type *)GList::First(); }
	type *Last() { return (type *)GList::Last(); }
	type *At(unsigned int pos) { return (type *)GList::At(pos); }
	type *At() { return (type *)GList::Current(); }
	int Find(type *it) { return GList::Find((LstNodo::Item)it); }
	int CurrentIndex() { return GList::CurrentIndex(); }
	int Count() { return GList::Count(); }
	bool Delete(int pos) { return GList::Delete(pos); }
	bool Delete() { return GList::Delete(); }
	bool DeleteFirst() { return GList::DeleteFirst(); }
	bool DeleteLast() { return GList::DeleteLast(); }
};

#endif
