/***************************************************************************
                          selector.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _SELECTOR_H_
#define _SELECTOR_H_

#include "formobj.h"
#include "graficos_lib.h"
#include "lista.h"

class Selector:public FormObj {
public:
	Selector(Form *p, int x, int y, int w, int h);
	virtual ~Selector();
	
	void addPicture(const char *);
	virtual void Dibujar(bool focus);
	virtual void setFocus();
	
	virtual void eventKeyDown(SDL_KeyboardEvent *);
	virtual void eventKeyUp(SDL_KeyboardEvent *);
	virtual void eventMouseDown(SDL_MouseButtonEvent *);
	virtual void eventMouseUp(SDL_MouseButtonEvent *);
	virtual void eventMouseMove(SDL_MouseMotionEvent *);
		
	void Next();
	void Prev();
	int Value() { return imagenes.Find(indice); }
private:
	Lista<int> imagenes;
	int *indice;
};

#endif