/***************************************************************************
                          slider.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _SLIDER_H
#define _SLIDER_H

#include "formobj.h"
#include "graficos_lib.h"
#include "button.h"
#include <SDL.h>

class Slider:public FormObj {
public:
	enum {PREV=99, NEXT};
	Slider(Form *p, int x, int y, int w, int h, int max);
	virtual ~Slider();
	
	virtual void Dibujar(bool focus);
	virtual void setFocus();

	virtual void Visible(bool o);

	virtual void eventKeyDown(SDL_KeyboardEvent *);
	virtual void eventKeyUp(SDL_KeyboardEvent *);
	virtual void eventMouseDown(SDL_MouseButtonEvent *);
	virtual void eventMouseUp(SDL_MouseButtonEvent *);
	virtual void eventMouseMove(SDL_MouseMotionEvent *);
	virtual void receiveMessage(FormObj *, int);

	inline int Value() { return actual; }
	void setValue(int a);
protected:
	int maximo;
	int actual;
	SDL_Rect draw;
	Button *btnNext, *btnPrev;
};
#endif
